function pickEddt_(){
//		入力ボックスからセルの値を取得して戻す
//		失敗したら配列から取り出し

//変更フラグは立っているか
//シート上にフォーカスがあればそこから取り出し
//なければactiveInputにしたがってそちらから取得
//変更フラグの無い場合は、配列から取得
	if (this.edchg) {
		if (this.Focus)
		{
			var targetObj=parent.xpsheet.document;
		}else{
			var targetObj=(this.activeInput=="tool_")?
			this["tool_"].document : parent.headline.document;
		}

	try{var eddt=targetObj.getElementById("iNputbOx").value;}
	catch(e){var eddt=XPS.xpsBody[this.Select[0]][this.Select[1]]}
//シート上のボックス
//ヘッドライン
//ツールボックス
parent.info.document.getElementById("rEsult").value=(targetObj.name+"\n:"+eddt)
	}
	else {var eddt=XPS.xpsBody[this.Select[0]][this.Select[1]]}
//	値が更新されていたら、配列のデータを更新
	if (this.edchg){
//更新
		this.push(eddt);	}
}
/* ////////////////////更新操作が変更になるのでこちらは不要に

if (this.edchg){this.push(eddt);}//値が更新されていたら、配列のデータを更新
		

//		var sel=this.getid("Select");
//		var C=this.Select[0];var L=this.Select[1];
//		XPS.xpsBody[C][L] = eddt;
	//このとき、セレクションが 1レイヤ/マルチセレクト だった場合のみ
	//選択範囲のデータを更新
	if (this.Selection[0]==0 && this.Selection[1]!=0) {
//現在の選択範囲をクリア
	var Cx = this.Select[0];//現在のカラム
		for (L=0;L<=Math.abs(1*this.Selection[1]);L++)
		{
	var StL = (1*this.Selection[1]<0) ?
	(1*this.Select[1]+1*this.Selection[1]) : 1*this.Select[1];
	var Lx = StL + L;
	if (Lx>=0 && Lx<XPS.duration() && Lx!=this.Select[1] && XPS.xpsBody[Cx][Lx]!='')
	{
	XPS.xpsBody[Cx][Lx]='';
	document.getElementById(Cx+"_"+Lx).innerHTML="<br>";
//	セレクション範囲の値クリア
	}
		}
	}
	else{}
//		データ更新無し
		var sel=this.getid("Select");
*/ ;// /////////////////////////////////////////////

